Skip to main content
GET
/
settlements
/
{id}
Retrieve a settlement
curl --request GET \
  --url https://developersandbox-api.flutterwave.com/settlements/{id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "id": "stm_JJo3vjtffW",
    "net_amount": 12.34,
    "gross_amount": 12.34,
    "currency": "NGN",
    "description": "<string>",
    "meta": {},
    "status": "completed",
    "due_datetime": "2025-02-07T12:00:00.022Z",
    "transaction_datetime": "2025-02-06T12:00:00.022Z",
    "settlement_account": "0690000031",
    "fees": [
      {
        "type": "stamp_duty",
        "amount": 1.4
      }
    ],
    "chargeback": "98.1",
    "refund": "98.1",
    "destination": "wallet",
    "charge_count": "2",
    "charges": [
      {
        "id": "chg_zam88NgLb7",
        "charged_amount": 100,
        "customer_id": "cus_X0yJv3ZMpL",
        "settlement_amount": 98.6,
        "payment_method_id": "pmd_wlVhaYmkl2",
        "currency": "NGN",
        "charge_date": "2024-06-26"
      }
    ],
    "created_datetime": "2025-02-07T12:00:00.022Z"
  },
  "meta": {
    "page_info": {
      "total": 123,
      "current_page": 123,
      "total_pages": 123
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Trace-Id
string

A unique identifier to track this operation. It must be between 12 and 255 characters in length.

Required string length: 12 - 255

Path Parameters

id
string
required

ID of the settlement

Query Parameters

page
integer
default:1

The page of the data to retrieve. The most recent data entry is on page 1.

Required range: x >= 1
size
integer
default:10

Length of data returned. Defaults to 10.

Required range: 10 <= x <= 50

Response

OK

status
enum<string>
Available options:
success,
failed
message
string
data
object

A settlement of a successful transaction

meta
object